Last visit was: It is currently 23/10/2014, 16:10


All times are UTC [ DST ]




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: Unable to change brightness after kernel upgrade: Sams. R540
PostPosted: 11/11/2012, 14:31 
Newbie
Newbie

Joined: 19/07/2012, 21:34
Posts: 4
After my last update, I'm unable to change the backlight. I've previously installed samsung-tools 2.16 from the AUR and added
acpi_osi=Linux acpi_backlight=vendor
to /etc/default/grub. I am using the kernel version 3.6.6.1.
There have also been some other problems with glib and glibc. I am also using mate, and the thumbnailer caused 100% memory load. I downgraded them and the problem is solved, but I still can't change the brightness.
Any help is appreciated

Here is the log of my last upgrade
Code:
[2012-11-10 20:12] Running 'pacman -Syu'
[2012-11-10 20:12] synchronizing package lists
[2012-11-10 20:12] starting full system upgrade
[2012-11-10 20:28] removed libwebkit (1.8.3-1)
[2012-11-10 20:28] upgraded glib2 (2.32.4-1 -> 2.34.1-1)
[2012-11-10 20:28] upgraded atk (2.4.0-1 -> 2.6.0-1)
[2012-11-10 20:28] upgraded linux-api-headers (3.5.5-1 -> 3.6.3-1)
[2012-11-10 20:28] upgraded tzdata (2012g-1 -> 2012h-1)
[2012-11-10 20:28] Generating locales...
[2012-11-10 20:28] Generation complete.
[2012-11-10 20:28] upgraded glibc (2.16.0-4 -> 2.16.0-5)
[2012-11-10 20:28] upgraded gcc-libs (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:28] upgraded libtasn1 (2.14-1 -> 3.0-1)
[2012-11-10 20:28] upgraded gnutls (3.1.3-1 -> 3.1.3-2)
[2012-11-10 20:28] upgraded gsettings-desktop-schemas (3.4.2-1 -> 3.6.0-1)
[2012-11-10 20:28] upgraded glib-networking (2.32.3-1 -> 2.34.0-1)
[2012-11-10 20:28] upgraded libsoup (2.38.1-1 -> 2.40.1-1)
[2012-11-10 20:28] installed webkitgtk2 (1.10.1-2)
[2012-11-10 20:28] upgraded libgnome-keyring (3.4.1-1 -> 3.6.0-1)
[2012-11-10 20:28] upgraded libsoup-gnome (2.38.1-1 -> 2.40.1-1)
[2012-11-10 20:28] upgraded banshee (2.4.1-1 -> 2.6.0-2)
[2012-11-10 20:28] upgraded bash (4.2.037-1 -> 4.2.039-1)
[2012-11-10 20:28] upgraded binutils (2.22-10 -> 2.23-1)
[2012-11-10 20:28] upgraded ilmbase (1.0.2-1 -> 1.0.3-1)
[2012-11-10 20:28] upgraded openexr (1.7.1-1 -> 1.7.1-2)
[2012-11-10 20:28] upgraded glew (1.8.0-2 -> 1.9.0-1)
[2012-11-10 20:28] upgraded openimageio (1.0.9-3 -> 1.0.9-4)
[2012-11-10 20:29] upgraded blender (5:2.64a-2 -> 5:2.64a-6)
[2012-11-10 20:29] upgraded cairo (1.12.2-3 -> 1.12.8-1)
[2012-11-10 20:29] installed harfbuzz (0.9.5-1)
[2012-11-10 20:29] upgraded pango (1.30.1-1 -> 1.32.1-1)
[2012-11-10 20:29] upgraded nspr (4.9.2-1 -> 4.9.3-1)
[2012-11-10 20:29] installed js (1.8.5-3)
[2012-11-10 20:29] upgraded polkit (0.105-1 -> 0.107-4)
[2012-11-10 20:29] upgraded colord (0.1.21-2 -> 0.1.24-1)
[2012-11-10 20:29] upgraded dconf (0.12.1-2 -> 0.14.1-1)
[2012-11-10 20:29] installed at-spi2-core (2.6.1-1)
[2012-11-10 20:29] installed at-spi2-atk (2.6.1-1)
[2012-11-10 20:29] upgraded gtk3 (3.4.4-1 -> 3.6.1-1)
[2012-11-10 20:29] installed gstreamer (1.0.2-1)
[2012-11-10 20:29] installed gst-plugins-base-libs (1.0.2-1)
[2012-11-10 20:29] installed gst-plugins-base (1.0.2-1)
[2012-11-10 20:29] upgraded gmime (2.6.11-1 -> 2.6.12-1)
[2012-11-10 20:29] upgraded totem-plparser (3.4.2-1 -> 3.4.3-1)
[2012-11-10 20:29] upgraded tdb (1.2.10-1 -> 1.2.10-2)
[2012-11-10 20:29] upgraded libcanberra (0.28-5 -> 0.30-2)
[2012-11-10 20:29] upgraded util-linux (2.22.1-1 -> 2.22.1-2)
[2012-11-10 20:29] upgraded libtracker-sparql (0.14.2-1 -> 0.14.4-1)
[2012-11-10 20:29] upgraded brasero (3.4.1-1 -> 3.6.0-1)
[2012-11-10 20:29] upgraded perl (5.16.1-1 -> 5.16.2-1)
[2012-11-10 20:29] upgraded imagemagick (6.7.9.8-2 -> 6.8.0.3-1)
[2012-11-10 20:29] upgraded calibre (0.9.4-1 -> 0.9.5-1)
[2012-11-10 20:29] upgraded nss (3.13.6-1 -> 3.14-1)
[2012-11-10 20:29] upgraded chromium (22.0.1229.94-1 -> 23.0.1271.64-1)
[2012-11-10 20:29] upgraded json-glib (0.14.2-1 -> 0.15.2-1)
[2012-11-10 20:29] upgraded clutter (1.10.6-1 -> 1.12.2-1)
[2012-11-10 20:29] upgraded clutter-gst (1.6.0-1 -> 1.9.92-1)
[2012-11-10 20:29] upgraded clutter-gtk (1.2.0-1 -> 1.4.0-1)
[2012-11-10 20:29] upgraded cmake (2.8.9-1 -> 2.8.10-1)
[2012-11-10 20:29] upgraded cython (0.17-2 -> 0.17.1-1)
[2012-11-10 20:29] upgraded cython2 (0.17-2 -> 0.17.1-1)
[2012-11-10 20:29] upgraded iptables (1.4.15-1 -> 1.4.16.2-1)
[2012-11-10 20:29] upgraded iproute2 (3.5.1-1 -> 3.6.0-2)
[2012-11-10 20:29] upgraded dhclient (4.2.4.1-3 -> 4.2.4.2-1)
[2012-11-10 20:29] upgraded e2fsprogs (1.42.5-1 -> 1.42.6-1)
[2012-11-10 20:29] upgraded gdk-pixbuf2 (2.26.3-1 -> 2.26.4-1)
[2012-11-10 20:29] upgraded libcroco (0.6.5-1 -> 0.6.8-1)
[2012-11-10 20:29] upgraded librsvg (2.36.3-1 -> 2.36.4-1)
[2012-11-10 20:29] upgraded gpm (1.20.6-10 -> 1.20.7-1)
[2012-11-10 20:29] upgraded gconf (3.2.5-2 -> 3.2.5-3)
[2012-11-10 20:30] upgraded emacs (24.2-1 -> 24.2-2)
[2012-11-10 20:30] warning: /etc/etter.conf saved as /etc/etter.conf.pacsave
[2012-11-10 20:30] upgraded ettercap (NG_0.7.4.2-2 -> 0.7.5-1)
[2012-11-10 20:30] upgraded libnice (0.1.2-1 -> 0.1.3-1)
[2012-11-10 20:30] upgraded farstream (0.1.2-1 -> 0.2.1-1)
[2012-11-10 20:30] upgraded firefox (16.0.1-1 -> 16.0.2-1)
[2012-11-10 20:30] upgraded flashplugin (11.2.202.243-1 -> 11.2.202.251-1)
[2012-11-10 20:30] upgraded fltk (1.3.0-3 -> 1.3.1-1)
[2012-11-10 20:30] upgraded gcc (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:30] upgraded gcc-ada (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:30] upgraded gcc-fortran (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:30] upgraded gcc-go (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:30] upgraded gcc-objc (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:30] upgraded gcr (3.4.1-1 -> 3.6.1-1)
[2012-11-10 20:30] upgraded gegl (0.2.0-4 -> 0.2.0-5)
[2012-11-10 20:30] upgraded glibmm (2.32.1-1 -> 2.34.1-1)
[2012-11-10 20:30] upgraded gnome-icon-theme-symbolic (3.4.0-1 -> 3.6.0-1)
[2012-11-10 20:30] upgraded gnome-icon-theme (3.4.0-1 -> 3.6.0-1)
[2012-11-10 20:30] upgraded gnome-video-effects (0.4.0-1 -> 0.4.0-2)
[2012-11-10 20:30] upgraded gobject-introspection (1.32.1-2 -> 1.34.1.1-1)
[2012-11-10 20:30] upgraded qt (4.8.3-4 -> 4.8.3-5)
[2012-11-10 20:30] upgraded grantlee (0.2.0-1 -> 0.3.0-1)
[2012-11-10 20:30] upgraded grilo (0.1.18-1 -> 0.2.2-1)
[2012-11-10 20:30] upgraded grilo-plugins (0.1.18-3 -> 0.2.2-1)
[2012-11-10 20:30] upgraded gtksourceview3 (3.4.2-1 -> 3.6.1-1)
[2012-11-10 20:30] upgraded udisks2 (1.94.0-2 -> 2.0.0-1)
[2012-11-10 20:30] installed libsecret (0.11-1)
[2012-11-10 20:30] upgraded gvfs (1.12.3-3 -> 1.14.1-1)
[2012-11-10 20:30] upgraded obex-data-server (0.4.6-2 -> 0.4.6-3)
[2012-11-10 20:30] upgraded gvfs-obexftp (1.12.3-3 -> 1.14.1-1)
[2012-11-10 20:30] upgraded hwids (20121012-1 -> 20121022-1)
[2012-11-10 20:30] upgraded hwloc (1.5-1 -> 1.5.1-1)
[2012-11-10 20:30] upgraded inkscape (0.48.3.1-6 -> 0.48.3.1-7)
[2012-11-10 20:30] upgraded iputils (20121011-1 -> 20121011-2)
[2012-11-10 20:30] upgraded kdelibs (4.9.2-2 -> 4.9.2-3)
[2012-11-10 20:31] upgraded lib32-glib2 (2.32.4-1 -> 2.34.1-2)
[2012-11-10 20:31] upgraded lib32-atk (2.4.0-1 -> 2.6.0-1)
[2012-11-10 20:31] upgraded lib32-e2fsprogs (1.42.4-1 -> 1.42.6-1)
[2012-11-10 20:31] upgraded lib32-glibc (2.16.0-4 -> 2.16.0-5)
[2012-11-10 20:31] upgraded lib32-gcc-libs (4.7.2-1 -> 4.7.2-2)
[2012-11-10 20:31] upgraded lib32-glew (1.8.0-2 -> 1.9.0-1)
[2012-11-10 20:31] upgraded lib32-tdb (1.2.9-1 -> 1.2.10-1)
[2012-11-10 20:31] upgraded lib32-libcanberra (0.28-2 -> 0.30-2)
[2012-11-10 20:31] upgraded libgee (0.6.5-1 -> 0.6.6-1)
[2012-11-10 20:31] upgraded libpeas (1.4.0-2 -> 1.6.1-1)
[2012-11-10 20:31] upgraded libpurple (2.10.6-1 -> 2.10.6-2)
[2012-11-10 20:31] upgraded libreoffice-af (3.6.2-1 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-en-US (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-common (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-base (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-calc (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-draw (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-gnome (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-impress (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-kde4 (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-math (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-sdk (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-sdk-doc (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libreoffice-writer (3.6.2-3 -> 3.6.3-1)
[2012-11-10 20:31] upgraded libtirpc (0.2.2-2 -> 0.2.2-4)
[2012-11-10 20:31] upgraded libwbclient (3.6.8-1 -> 3.6.9-1)
[2012-11-10 20:31] upgraded libxklavier (5.2.1-2 -> 5.3-1)
[2012-11-10 20:31] >>>
[2012-11-10 20:31] >>> If you use the LILO bootloader, you should run 'lilo' before rebooting.
[2012-11-10 20:31] >>>
[2012-11-10 20:31] >>> Updating module dependencies. Please wait ...
[2012-11-10 20:32] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2012-11-10 20:32] ==> Building image from preset: 'default'
[2012-11-10 20:32]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2012-11-10 20:32] ==> Starting build: 3.6.6-1-ARCH
[2012-11-10 20:32]   -> Running build hook: [base]
[2012-11-10 20:32]   -> Running build hook: [udev]
[2012-11-10 20:32]   -> Running build hook: [autodetect]
[2012-11-10 20:32]   -> Running build hook: [pata]
[2012-11-10 20:32]   -> Running build hook: [scsi]
[2012-11-10 20:32]   -> Running build hook: [sata]
[2012-11-10 20:32]   -> Running build hook: [filesystems]
[2012-11-10 20:32]   -> Running build hook: [usbinput]
[2012-11-10 20:32]   -> Running build hook: [fsck]
[2012-11-10 20:32] ==> Generating module dependencies
[2012-11-10 20:32] ==> Creating gzip initcpio image: /boot/initramfs-linux.img
[2012-11-10 20:32] ==> Image generation successful
[2012-11-10 20:32] ==> Building image from preset: 'fallback'
[2012-11-10 20:32]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2012-11-10 20:32] ==> Starting build: 3.6.6-1-ARCH
[2012-11-10 20:32]   -> Running build hook: [base]
[2012-11-10 20:32]   -> Running build hook: [udev]
[2012-11-10 20:32]   -> Running build hook: [pata]
[2012-11-10 20:32]   -> Running build hook: [scsi]
[2012-11-10 20:32]   -> Running build hook: [sata]
[2012-11-10 20:32]   -> Running build hook: [filesystems]
[2012-11-10 20:32]   -> Running build hook: [usbinput]
[2012-11-10 20:32]   -> Running build hook: [fsck]
[2012-11-10 20:32] ==> Generating module dependencies
[2012-11-10 20:32] ==> Creating gzip initcpio image: /boot/initramfs-linux-fallback.img
[2012-11-10 20:32] ==> Image generation successful
[2012-11-10 20:32] upgraded linux (3.6.3-1 -> 3.6.6-1)
[2012-11-10 20:32] upgraded linux-docs (3.6.3-1 -> 3.6.6-1)
[2012-11-10 20:32] upgraded linux-headers (3.6.3-1 -> 3.6.6-1)
[2012-11-10 20:32] >>>
[2012-11-10 20:32] >>> You appear to be using the LILO bootloader. You should run
[2012-11-10 20:32] >>> 'lilo' before rebooting.
[2012-11-10 20:32] >>>
[2012-11-10 20:32] >>> Updating module dependencies. Please wait ...
[2012-11-10 20:32] >>> Generating initial ramdisk, using mkinitcpio.  Please wait...
[2012-11-10 20:32] ==> Building image from preset: 'default'
[2012-11-10 20:32]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts.img
[2012-11-10 20:32] ==> Starting build: 3.0.51-1-lts
[2012-11-10 20:32]   -> Running build hook: [base]
[2012-11-10 20:33]   -> Running build hook: [udev]
[2012-11-10 20:33]   -> Running build hook: [autodetect]
[2012-11-10 20:33]   -> Running build hook: [pata]
[2012-11-10 20:33]   -> Running build hook: [scsi]
[2012-11-10 20:33]   -> Running build hook: [sata]
[2012-11-10 20:33]   -> Running build hook: [filesystems]
[2012-11-10 20:33]   -> Running build hook: [usbinput]
[2012-11-10 20:33]   -> Running build hook: [fsck]
[2012-11-10 20:33] ==> Generating module dependencies
[2012-11-10 20:33] ==> Creating gzip initcpio image: /boot/initramfs-linux-lts.img
[2012-11-10 20:33] ==> Image generation successful
[2012-11-10 20:33] ==> Building image from preset: 'fallback'
[2012-11-10 20:33]   -> -k /boot/vmlinuz-linux-lts -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-lts-fallback.img -S autodetect
[2012-11-10 20:33] ==> Starting build: 3.0.51-1-lts
[2012-11-10 20:33]   -> Running build hook: [base]
[2012-11-10 20:33]   -> Running build hook: [udev]
[2012-11-10 20:33]   -> Running build hook: [pata]
[2012-11-10 20:33]   -> Running build hook: [scsi]
[2012-11-10 20:33]   -> Running build hook: [sata]
[2012-11-10 20:33]   -> Running build hook: [filesystems]
[2012-11-10 20:33]   -> Running build hook: [usbinput]
[2012-11-10 20:33]   -> Running build hook: [fsck]
[2012-11-10 20:33] ==> Generating module dependencies
[2012-11-10 20:33] ==> Creating gzip initcpio image: /boot/initramfs-linux-lts-fallback.img
[2012-11-10 20:33] ==> Image generation successful
[2012-11-10 20:33] upgraded linux-lts (3.0.48-1 -> 3.0.51-1)
[2012-11-10 20:33] upgraded linux-lts-headers (3.0.48-1 -> 3.0.51-1)
[2012-11-10 20:33] upgraded lirc-utils (1:0.9.0-33 -> 1:0.9.0-34)
[2012-11-10 20:33] upgraded lm_sensors (3.3.2-5 -> 3.3.3-1)
[2012-11-10 20:33] upgraded mdadm (3.2.5-2 -> 3.2.6-1)
[2012-11-10 20:33] upgraded mercurial (2.3.2-1 -> 2.4-1)
[2012-11-10 20:33] upgraded networkmanager (0.9.6.0-2 -> 0.9.6.4-1)
[2012-11-10 20:33] upgraded network-manager-applet (0.9.6.2-1 -> 0.9.6.4-1)
[2012-11-10 20:33] upgraded obexd-client (0.47-1 -> 1:0.46-1)
[2012-11-10 20:33] upgraded openmpi (1.6.2-1 -> 1.6.3-1)
[2012-11-10 20:33] upgraded paraview (3.14.1-1 -> 3.14.1-2)
[2012-11-10 20:33] upgraded pidgin (2.10.6-1 -> 2.10.6-2)
[2012-11-10 20:33] upgraded procps-ng (3.3.3-6 -> 3.3.5-1)
[2012-11-10 20:33] upgraded pygobject-devel (3.2.2-2 -> 3.4.1.1-1)
[2012-11-10 20:33] upgraded pylint (0.26.0-1 -> 0.26.0-2)
[2012-11-10 20:33] upgraded python-scipy (0.11.0-2 -> 0.11.0-3)
[2012-11-10 20:33] upgraded python2-gobject (3.2.2-2 -> 3.4.1.1-1)
[2012-11-10 20:33] upgraded python2-scipy (0.11.0-2 -> 0.11.0-3)
[2012-11-10 20:33] The location of the screen sockets has changed.
[2012-11-10 20:33] If you need to access running screen sessions, run
[2012-11-10 20:33]   # SCREENDIR=/tmp/screens/S-$USER/ screen ...
[2012-11-10 20:33] upgraded screen (4.0.3-13 -> 4.0.3-15)
[2012-11-10 20:33] upgraded smbclient (3.6.8-1 -> 3.6.9-1)
[2012-11-10 20:33] upgraded subversion (1.7.7-1 -> 1.7.7-2)
[2012-11-10 20:33] upgraded syslinux (4.05-7 -> 4.06-1)
[2012-11-10 20:33] upgraded tightvnc (1.3.10-8 -> 1.3.10-9)
[2012-11-10 20:33] installed gst-plugins-good (1.0.2-1)
[2012-11-10 20:33] installed chromaprint (0.7-1)
[2012-11-10 20:33] installed celt (0.11.1-4)
[2012-11-10 20:33] installed spandsp (0.0.6pre21-1)
[2012-11-10 20:33] installed gst-plugins-bad (1.0.2-1)
[2012-11-10 20:33] upgraded totem (3.4.3-1 -> 3.6.3-1)
[2012-11-10 20:34] upgraded transmission-cli (2.73-1 -> 2.73-2)
[2012-11-10 20:34] upgraded transmission-gtk (2.73-1 -> 2.73-2)
[2012-11-10 20:34] upgraded vlc (2.0.4-2 -> 2.0.4-3)
[2012-11-10 20:34] upgraded vte-common (0.32.2-1 -> 0.34.1-1)
[2012-11-10 20:34] upgraded vte3 (0.32.2-1 -> 0.34.1-1)
[2012-11-10 20:34] upgraded vtk (5.10.0-2 -> 5.10.1-1)
[2012-11-10 20:34] upgraded xmlrpc-c (1:1.31.04-2 -> 1:1.32.2-1)
[2012-11-10 20:34] upgraded xorg-xinit (1.3.2-1 -> 1.3.2-3)
[2012-11-10 20:34] upgraded xterm (285-1 -> 286-1)
[2012-11-10 20:34] Running 'pacman -S node'
[2012-11-10 20:34] Running 'pacman -S nodejs'
[2012-11-10 20:35] installed v8 (3.14.0-1)
[2012-11-10 20:35] installed nodejs (0.8.14-1)
[2012-11-10 22:33] Running 'pacman -S name-extract'
[2012-11-10 22:33] Running 'pacman -S names.xml'
[2012-11-10 22:42] Running 'pacman -S docbook'
[2012-11-10 22:42] Running 'pacman -S docbook-xml'
[2012-11-10 22:42] Running 'pacman -S xmlif'


Top
 Profile  
 
 Post subject: Re: Unable to change brightness after upgrade: Samsung R540
PostPosted: 11/11/2012, 14:54 
Newbie
Newbie

Joined: 19/07/2012, 21:34
Posts: 4
I've found out that I can change the brightness by echoing to
Code:
/sys/class/backlight/samsung/brightness

So there is no problem with the kernel, but probably mate?
When I use the function keys to change the brightness, it displays the slider, but it doesn't move. Something with permissions maybe?
Anyway, the day is saved for now :)


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
Theme created StylerBB.net & kodeki